﻿@using Newtonsoft.Json;


<div class="col-md-4">
    <b>Status</b> : @ViewBag.result.ResponseStatus<br />
    <b>Message</b> : @ViewBag.result.ResponseMessage<br />
    @*<b> Total records</b>: @ViewBag.result.TotalRecords<br />
    <b>Total Success</b>: @ViewBag.result.TotalSuccessRecords<br />
    <b>  Total Failed</b> : @ViewBag.result.TotalFailedRecords*@
</div>
@*<a id='dwnldLnk' download='o ficheirinho de tostas.xlsx' style="display:none;" />*@

<a  id='dwnldLnk' href="data:application/vnd.ms-excel;base64, @ViewBag.Base64TrendString" download='ImportResponse.xlsx' style="display:none;">Download</a>

@*<span style="display:none;" id="dataHidden">
        @Html.Raw(JsonConvert.SerializeObject(ViewBag.TrendErrorList))
    </span>*@

<script src="~/js/jquery.min.js"></script>

<script>
    window.downloadPDF = function downloadPDF(fileName) {
        var dlnk = document.getElementById('dwnldLnk');  
        dlnk.setAttribute("download", fileName);
        dlnk.click();
    }
    $(document).ready(function () {
        //downloadPDF();      
    });
</script>
<script>
        $(document).ready(function () {
            if ("@ViewBag.result.ResponseMessage" == "Import Trend have some errors" || "@ViewBag.result.ResponseMessage" == "Please check downloaded file for trend error List" ) {

                downloadPDF("TrendImportResponse.xlsx");  

                @*var data = @Html.Raw(JsonConvert.SerializeObject(ViewBag.TrendErrorList));
                $.ajax({
                    cache: false,
                    type: "POST",
                    url: "/Import/TrendExport",
                    data: data,
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (data) {
                        var response = data;
                        window.location = '/Import/Download?fileGuid=' + response.fileGuid
                            + '&filename=' + response.fileName;
                    },
                    failure: function (data) {
                        alert(data.responseText);
                    },
                    error: function (data) {
                        alert(data.responseText);
                    }
                    });*@
            }
            if ("@ViewBag.result.ResponseMessage" == "Import Company Basic have some errors" || "@ViewBag.result.ResponseMessage" == "Please check downloaded file for company basic error list")
            {
                downloadPDF("CompanyBasicImportResponse.xlsx");
            }

            if ("@ViewBag.result.ResponseMessage" == "Report Generation template Import has some errors") {
                downloadPDF("ReportGenerationErrorsList.xlsx");
            }
            if ("@ViewBag.result.ResponseMessage" == "Import Strategy Instance have some errors") {
                downloadPDF("StategyInstanceErrorsList.xlsx");
            }
            if ("@ViewBag.result.ResponseMessage" == "CP Fundamentals Import has some errors") {
                downloadPDF("CP_FundamentalsErrorsList.xlsx");
            }
            if ("@ViewBag.result.ResponseMessage" == "Company Bulk Import has some errors") {
                downloadPDF("CompanyBulkImportErrorsList.xlsx");
            }

            if ("@ViewBag.result.ResponseMessage" == "Import marketSizing have some errors") {


                downloadPDF("MarketSizingImportResponse.xlsx");  



                @*var marketsizingdata = @Html.Raw(JsonConvert.SerializeObject(ViewBag.MarketSizingErrorList));
                debugger;
                $.ajax({
                    cache: false,
                    type: "POST",
                    url: "/Import/MarketSizeExport",
                    data: marketsizingdata,
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (data) {
                        var response = data;
                        window.location = '/Import/Download?fileGuid=' + response.fileGuid
                            + '&filename=' + response.fileName;
                    },
                    failure: function (data) {
                        alert(data.responseText);
                    },
                    error: function (data) {
                        alert(data.responseText);
                    }
                    });*@
            }
        });
    </script>
